%define name rox-clib
%define oname ROX-CLib
%define version 2.1.9
%define release %mkrel 3
%define major 6
%define libname %mklibname rox-c %major
%define develname %mklibname -d rox-c

Summary: Shared code for ROX applications
Name: %{name}
Version: %{version}
Release: %{release}
Source0: http://www.kerofin.demon.co.uk/rox/%{oname}-%{version}.tar.gz
URL: http://www.kerofin.demon.co.uk/rox/ROX-CLib.html
License: GPL
Group: Graphical desktop/Other
BuildRoot: %{_tmppath}/%{name}-buildroot
BuildRequires: libgtk+2.0-devel
BuildRequires: libxml2-devel
Requires: rox

%description
A library for ROX applications written in C.

%package -n %libname
Group: System/Libraries
Summary: Shared library of ROX-Clib
Requires: %name >= %version

%description -n %libname
A library for ROX applications written in C.

%package -n %develname
Group: Development/C
Summary: Headers for the rox C library
Requires: %libname = %version
Provides: librox-c-devel = %version-%release
Requires: libgtk+2.0-devel
Requires: libxml2-devel
Obsoletes: %mklibname -d rox-c 6

%description -n %develname
A library for ROX applications written in C.

%prep
%setup -q -n %oname
rm -rf .xvpics

%build
export CFLAGS="%optflags"
./AppRun --compile

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p %buildroot/%_libdir
cd ..
cp -r %oname %buildroot/%_libdir
rm -rf %buildroot/%_libdir/%oname/src
perl -pi -e "s/lib/%_lib/g" %buildroot/%_libdir/%oname/Linux-*/bin/rox_run
perl -pi -e "s!$RPM_BUILD_DIR/%oname/src/../!%_libdir/%oname/!"  %buildroot/%_libdir/%oname/Linux-*/lib/librox-clib.la 

%clean
rm -rf $RPM_BUILD_ROOT

%if %mdkversion < 200900
%post -n %libname -p /sbin/ldconfig
%endif
%if %mdkversion < 200900
%postun -n %libname -p /sbin/ldconfig
%endif

%files
%defattr(-,root,root)
%doc %_libdir/%oname/Help
%dir %_libdir/%oname
%dir %_libdir/%oname/Messages
%_libdir/%oname/Messages/en
%_libdir/%oname/ROX-CLib.xml
%_libdir/%oname/ROX-CLib-src.xml
%_libdir/%oname/App*
%_libdir/%oname/.DirIcon
%dir %_libdir/%oname/Linux*/
%_libdir/%oname/Linux*/bin
%dir %_libdir/%oname/Linux*/lib

%files -n %libname
%defattr(-,root,root)
%_libdir/%oname/Linux*/lib/librox-clib.so.%{major}*

%files -n %develname
%defattr(-,root,root)
%_libdir/%oname/Linux*/lib/librox-clib.a
%_libdir/%oname/Linux*/lib/librox-clib.so
%_libdir/%oname/Linux*/lib/librox-clib.la
%_libdir/%oname/Linux*/lib/ROX-CLib.pc
%_libdir/%oname/Linux*/include




%changelog
* Wed Jul 23 2008 Thierry Vignaud <tvignaud@mandriva.com> 2.1.9-3mdv2009.0
+ Revision: 242555
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Götz Waschk <waschk@mandriva.org>
    - fix description

* Wed Sep 05 2007 Götz Waschk <waschk@mandriva.org> 2.1.9-1mdv2008.0
+ Revision: 79945
- new version
- new devel name
- update file list


* Sun Jan 14 2007 Götz Waschk <waschk@mandriva.org> 2.1.7-3mdv2007.0
+ Revision: 108622
- Import rox-clib

* Sun Jan 14 2007 Gtz Waschk <waschk@mandriva.org> 2.1.7-3mdv2007.1
- fix devel deps

* Fri Jul 21 2006 Götz Waschk <waschk@mandriva.org> 2.1.7-2mdk
- Rebuild

* Mon Jan 02 2006 Gtz Waschk <waschk@mandriva.org> 2.1.7-1mdk
- new major
- New release 2.1.7
- use mkrel

* Tue Oct 18 2005 Götz Waschk <waschk@mandriva.org> 2.1.5-1mdk
- New release 2.1.5

* Wed Nov 24 2004 Goetz Waschk <waschk@linux-mandrake.com> 2.1.4-1mdk
- New release 2.1.4

* Mon Sep 27 2004 Goetz Waschk <waschk@linux-mandrake.com> 2.1.3-1mdk
- New release 2.1.3

* Sat Aug 07 2004 Gtz Waschk <waschk@linux-mandrake.com> 2.1.2-1mdk
- add missing file
- New release 2.1.2

* Sat May 15 2004 Goetz Waschk <waschk@linux-mandrake.com> 2.1.1-1mdk
- New release 2.1.1

* Thu May 06 2004 Goetz Waschk <waschk@linux-mandrake.com> 2.1.0-1mdk
- New release 2.1.0

* Sat Jan 17 2004 Gtz Waschk <waschk@linux-mandrake.com> 2.0.0-1mdk
- new version

